<link rel="stylesheet" href="{$assetURL}css/admin.css">

<div class="dashboard" id="dashboard">
  <div class="row">
    <div class="col col-md-6 col-sm-12">
      <table class="pluginmeta">
        {if $productHomepage != ''}
          <tr>
            <td>Plugin-Homepage:</td>
            <td><a href="{$productHomepage}" target="_blank">{$oPlugin->getMeta()->getName()} <i
                  class="fa fa-external-link"></i></a></td>
          </tr>
        {/if}
        <tr>
          <td>
            Lizenz:
          </td>
          <td>
            {$licence.state|capitalize}
          </td>
        </tr>
        {if count((array)$licence.features) > 0}
          <tr class="features">
            <td>Lizensierte Features:</td>
            <td>
              {assign var=featureWarning value=false}
              {foreach from=$licence.features item=enabled key=feature}
                {if !$enabled}{$featureWarning = true}{/if}
                <div class="feature feature-container">{$feature} <i
                    class="fa fa-{if $enabled}check{else}times{/if}-circle pull-right feature-state feature-state-{if $enabled}enabled{else}disabled{/if}"></i>
                </div>
              {/foreach}
            </td>
          </tr>
          {if $featureWarning}
            <tr>
              <td></td>
              <td><a class="text-warning" href="{$productHomepage}" target="_blank">Features Buchen</a></td>
            </tr>
          {/if}
        {/if}
        <tr>
          <td>Gültig von:</td>
          <td>{$licence.notvalidbefore|date_format:'%d.%m.%Y %H:%M:%S'}</td>
        </tr>
        <tr>
          <td>Gültig bis:</td>
          <td>{$licence.notvalidafter|date_format:'%d.%m.%Y %H:%M:%S'}</td>
        </tr>
        <tr>
          <td>Nächste &#8203;Lizenzaktualisierung:</td>
          <td>{$licence.mustnotrevalidatebefore|date_format:'%d.%m.%Y %H:%M:%S'}</td>
        </tr>
        <tr>
          <td>Registriert:</td>
          <td>{$licence.initialregistration|date_format:'%d.%m.%Y %H:%M:%S'}</td>
        </tr>
        <tr>
          <td>Installiert:</td>
          <td>{$pluginMeta->getDateInstalled()|date_format:'%d.%m.%Y %H:%M:%S'}</td>
        </tr>
        <tr>
          <td>Aktualisiert:</td>
          <td>{$pluginMeta->getDateLastUpdate()|date_format:'%d.%m.%Y %H:%M:%S'}</td>
        </tr>
        <tr>
          <td>Installierte Version:</td>
          <td>
            {$pluginMeta->getVersion()}
            {if $update->available}
              <br><a href="{$update->link->url}" target="_blank">{$update->link->text} <i
                  class="fa fa-external-link"></i></a>
            {/if}
          </td>
        </tr>
      </table>
    </div>
  </div>
</div>

{if isset($files_css)}
  {foreach from=$files_css item=file}
    <link rel="stylesheet" href="{$assetURL}css/{$file}.css">
  {/foreach}
{/if}
{if isset($files_js)}
  {foreach from=$files_js item=file}
    <script src="{$assetURL}js/{$file}.js" charset="utf-8"></script>
  {/foreach}
{/if}
<script type="text/javascript" charset="utf-8">
  {literal}
    $(document).ready(function() {
      $('option[value=none]').attr('disabled', true)
      $('option[value=none]').closest('select').each(function() {
        if (this.value === 'none') $(this).addClass('is-invalid');
      });
      $('option[value=none]').closest('select').on('change', function() {
        $(this).removeClass('is-invalid');
      });
    {/literal}
    {if !$licence.features->Altteilesteuer}
      $('#altteilesteuer').attr('disabled', true).closest('.form-group').append('<div class="col-auto order-4"><a class="text-success" href="{$productHomepage}" target="_blank">Buchen</a></div>');
    {/if}
    $('#altteilesteuer').closest('.form-group').parent().append(
      '<div class="alert" style="background-color: white; border: 2px solid #9cadbc;"><small class="form-text text-warning">Es ist möglich das bei Änderungen in der Wawi der Cache einmal deaktiviert und wieder aktiviert werden muss. <a href="./cache.php#settings"><i class="fa fa-external-link"></i></a></small></div>'
    );
    {literal}
    });
  {/literal}
</script>
